import React, { Fragment } from 'react'
import { ActionLink, Text, Row } from 'pubsweet-component-faraday-ui'

const SubmissionStatement = () => (
  <Fragment>
    <Row mb={1}>
      <Text>
        This manuscript is not currently submitted to or under consideration in
        any other journals.
      </Text>
    </Row>

    <Row mb={1}>
      <Text>
        The submission ensures that sources are given proper attribution (the
        journal employs <b>Crossref Similarity Check</b> to compare submissions
        against published scholarly content. If, in the judgement of an editor,
        a submission is genuinely suspected of plagiarism, it will be returned
        to the author(s) with a request for explanation).
      </Text>
    </Row>

    <Row mb={1}>
      <Text>
        The manuscript complies with all relevant{' '}
        <ActionLink to="https://www.hindawi.com/ethics/">
          publication and research ethics policies.
        </ActionLink>
      </Text>
    </Row>

    <Row mb={1}>
      <Text>
        If applicable - there is a Data Availability statement, containing
        information about the location of any open data and materials in the
        manuscript, and how others can access the data.
      </Text>
    </Row>

    <Row mb={1}>
      <Text>
        A conflict of interest statement is present in the manuscript, even if
        to state there is no conflict of interest.
      </Text>
    </Row>

    <Row mb={1}>
      <Text>
        You have read and understood the{' '}
        <ActionLink to="https://www.hindawi.com/terms/">
          terms of service
        </ActionLink>
        {' & '}
        <ActionLink to="https://www.hindawi.com/privacy/">
          privacy
        </ActionLink>{' '}
        under which this manuscript will be processed.
      </Text>
    </Row>
  </Fragment>
)

export default SubmissionStatement
